Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statsvn
Class Main

    java.lang.Object
      net.sf.statsvn.Main

public final class Main
extends Object

StatSvn Main Class; it starts the application and controls command-line related stuff

Version:
  $Id: Main.java,v 1.47 2005/03/20 19:12:25 squig Exp $
Author:
  Lukasz Pekacki, Richard Cyganiak

Method Summary
`static void` | `generate()`
`static void` | `generateDefaultHTMLSuite()` Generates HTML report.
`static void` | `generateDefaultHTMLSuite(RepositoryFileManager repFileMan)` Generates HTML report.
`static void` | `init()`
`static void` | `main(String[] args)` Main method of StatSVN
`static String` | `printStackTrace(Exception e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(String[] args)

  Main method of StatSVN

  Parameters:
    `args` - command line options

### generate

    public static void generate()

### init

    public static void init()

### printStackTrace

    public static String printStackTrace(Exception e)

### generateDefaultHTMLSuite

    public static void generateDefaultHTMLSuite()
                                         throws net.sf.statcvs.input.LogSyntaxException,
                                                IOException,
                                                net.sf.statcvs.output.ConfigurationException

  Generates HTML report. `net.sf.statsvn.output.ConfigurationOptions` must be initialized before calling this method.

  Throws:
    `net.sf.statcvs.input.LogSyntaxException` - if the logfile contains unexpected syntax
    `IOException` - if some file can't be read or written
    `net.sf.statcvs.output.ConfigurationException` - if a required ConfigurationOption was not set

### generateDefaultHTMLSuite

    public static void generateDefaultHTMLSuite(RepositoryFileManager repFileMan)
                                         throws net.sf.statcvs.input.LogSyntaxException,
                                                IOException,
                                                net.sf.statcvs.output.ConfigurationException

  Generates HTML report. `net.sf.statsvn.output.ConfigurationOptions` must be initialized before calling this method.

  Throws:
    `net.sf.statcvs.input.LogSyntaxException` - if the logfile contains unexpected syntax
    `IOException` - if some file can't be read or written
    `net.sf.statcvs.output.ConfigurationException` - if a required ConfigurationOption was not set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD